Investors, warrants & staking

Get Filled Sales Orders For Org

Lists executed trading-plan sales for the caller's org with grant, recipient, price and proceeds.

POSThttps://api.toku.com/tga/get-filled-sales-orders-for-org

Not available to API keys yet. It will need grants:read and banking:read.

curl --request POST \
  --url 'https://api.toku.com/tga/get-filled-sales-orders-for-org' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "orderID": "string",
    "grantID": "string",
    "grantName": "string",
    "recipientName": "string",
    "executionDate": "string",
    "tokensSold": "string",
    "salePrice": "string",
    "grossProceeds": "string",
    "netProceeds": "string",
    "receivingWallet": "string",
    "receivingNetwork": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

anyany

Response

200Successful response
orderIDstringrequired
grantIDstringrequired
grantNamestringrequired
recipientNamestringrequired
executionDatestringrequired
tokensSoldstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

salePricestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

grossProceedsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

netProceedsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

receivingWalletstringrequired
receivingNetworkstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits